Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.pagination
Interface SubSequenceSpecifier

All Known Implementing Classes:
  RepeatablePageMasterAlternatives, RepeatablePageMasterReference, SinglePageMasterReference

public interface SubSequenceSpecifier

Classes that implement this interface can be added to a `PageSequenceMaster`, and are capable of looking up an appropriate `SimplePageMaster`.

Method Summary
`java.lang.String` | `getNextPageMasterName(boolean isOddPage, boolean isFirstPage, boolean isLastPage, boolean isBlankPage)` Returns the name of the next page master.
`boolean` | `goToPrevious()` Used to set the "cursor position" to the previous item.
`boolean` | `hasPagePositionLast()`
`boolean` | `hasPagePositionOnly()`
`void` | `reset()` Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.

Method Detail

### getNextPageMasterName

    public java.lang.String getNextPageMasterName(boolean isOddPage,
                                                  boolean isFirstPage,
                                                  boolean isLastPage,
                                                  boolean isBlankPage)
                                           throws PageProductionException

  Returns the name of the next page master.

  Parameters:
    `isOddPage` - True if the next page number is odd
    `isFirstPage` - True if the next page is the first
    `isLastPage` - True if the next page is the last
    `isBlankPage` - True if the next page is blank
  Returns:
    the page master name
  Throws:
    `PageProductionException` - if there's a problem determining the next page master

### reset

    public void reset()

  Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.

### goToPrevious

    public boolean goToPrevious()

  Used to set the "cursor position" to the previous item.

  Returns:
    true if there is a previous item, false if the current one was the first one.

### hasPagePositionLast

    public boolean hasPagePositionLast()

  Returns:
    true if the subsequence has a page master for page-position "last"

### hasPagePositionOnly

    public boolean hasPagePositionOnly()

  Returns:
    true if the subsequence has a page master for page-position "only"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.